<template>
  <component :is="projectData === undefined ? 'div' : 'b-card'">

    <!-- Alert: No item found -->
    <b-alert
      variant="danger"
      :show="projectData === undefined"
    >
      <h4 class="alert-heading">
        Error fetching user data
      </h4>
      <div class="alert-body">
        No user found with this user id. Check
        <b-link
          class="alert-link"
          :to="{ name: 'apps-projects-list'}"
        >
          User List
        </b-link>
        for other users.
      </div>
    </b-alert>

    <b-tabs
      v-if="projectData"
      pills
    >

 <!-- Tab: Information -->
      <b-tab active>
        <template #title>
          <feather-icon
            icon="InfoIcon"
            size="16"
            class="mr-0 mr-sm-50"
          />
          <span class="d-none d-sm-inline">Información</span>
        </template>
        <project-view-tab-information :projectData="projectData" class="mt-2 pt-75" />
      </b-tab>

      <!-- Tab: Account -->
      <b-tab >
        <template #title>
          <feather-icon
            icon="UserIcon"
            size="16"
            class="mr-0 mr-sm-50"
          />
          <span class="d-none d-sm-inline">Actividades</span>
        </template>
        <project-view-tab-activities/> 
      </b-tab>
    </b-tabs>
  </component>
</template>

<script>
import {
  BTab, BTabs, BCard, BAlert, BLink,
} from 'bootstrap-vue'
import ProjectViewTabActivities from './ProjectViewTabActivities.vue'
import ProjectViewTabInformation from './ProjectViewTabInformation.vue'

export default {
  components: {
    BTab,
    BTabs,
    BCard,
    BAlert,
    BLink,

    ProjectViewTabActivities,
    ProjectViewTabInformation,
  },
  data(){
    return{
      projectData:{}
    }
  },
  methods:{
    getProjectData(){
      this.$http.get("project/show", {params:{id:this.$route.params.id}}).then((res) => {
        this.projectData=res.data.project
        this.beforeEnter()

    }).catch(err=>{
      console.log(err);
    })

    },
    beforeEnter(){
      let userData = JSON.parse(localStorage.userData)
      let isProjectMember = this.projectData.users.find( user => user.id === userData.id )
   
      if (this.hasPermission('show_projects') || userData.id === this.projectData.manager_id || isProjectMember) {
        return true
      }else {
        this.$router.push({name: "misc-not-authorized"}) 
      }
       
    }
  },
  mounted(){
    this.getProjectData()

  }
}
</script>

<style>

</style>
